<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01 CU-CO-E-03


-->
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
@author: fredy.wilches
@modifiedBy: fabio.navarrete, juan.agudelo

Pantalla que muestra el detalle de una solicitud de nuevo documento 
    
    parámetros de entrada:
     -managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros 
     -selectedDocumentParam:	Objeto del tipo Documento que se adicionará a la lista de documentos
                                adicionales solicitados
     -banderaEdicionParam:      bandera de edicion de documentos	
@modified by juanfelipe.garcia ajustes fileUpload
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:misc="http://java.sun.com/jsf/composite/misc"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:p="http://primefaces.org/ui" columns="1" width="100%">
    <script>
        function limitText(limitField, limitNum) {
            if (limitField.value.length > limitNum) {
                limitField.value = limitField.value.substring(0, limitNum);
            }
        }
    </script>
    <style>
        .fileinput-button { overflow: visible; }
    </style>
    <h:panelGrid id="#{idParam}nuevoDocumentoPanelGrid" columns="1" cellpadding="4"
                 style="margin:0 auto;">


        <h:form id="documentacionForm2" >
            <p:spacer height="0" width="8" />
            <h:panelGrid columns="3" cellspacing="5" columnClasses="colPequena, colGrande">

                <h:outputLabel value="Documento soporte: "
                               styleClass="outputLabelStyle" />
                <p:fileUpload id="fu" label="Cargar documento"
                              fileUploadListener="#{managedBeanParam.archivoUpload}" immediate="true"
                              dragDropSupport="true" 
                              invalidFileMessage="Formato de documento no permitido"
                              invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                              widgetVar="uploader" mode="advanced" auto="true"
                              sizeLimit="#{general.maximoTamanoAdjuntos}" allowTypes="/(\.|\/)(pdf|tif|png|jpg|dwg|JPG|jpeg|JPEG|PNG|TIF|PDF)$/"
                              update="fu, :documentacionForm:msgs, :documentacionForm:analogo,:documentacionForm:folios,:documentacionForm:foliosLabelPanel, :documentacionForm:digitalizable" 
                              onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"/>

                <p:commandButton
                    value="Eliminar documento"
                    update=":documentacionForm"
                    title="Eliminar documento"
                    action="#{managedBeanParam.eliminarDocumentoSoporte}"
                    id="btnEliminarDocumento" ajax="true" immediate="true">

                </p:commandButton>

            </h:panelGrid>
            <p:spacer height="25" width="30" />
        </h:form>

        <p:separator />

        <h:form id="documentacionForm">
            <p:messages id="msgs" />

            <h:panelGrid columns="2" columnClasses="colPequena, colGrande">

                <h:panelGroup>
                    <h:outputLabel value="Tipo de documento:" id="tipoDocumento"
                                   styleClass="outputLabelStyle" for="TipoDocumentoClaseV-1" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGroup>
                <h:panelGrid columns="2">
                    <h:selectOneMenu id="TipoDocumentoClaseV-1"
                                     label="Tipo de documento"
                                     value="#{selectedDocumentParam.tipoDocumento.id}"
                                     style="position:relative;left:3px;" required="true"
                                     rendered="#{!banderaEdicionParam}">
                        <f:selectItems value="#{general.tipoDocumentoV}" />
                    </h:selectOneMenu>
                    <h:outputText value="#{selectedDocumentParam.tipoDocumento.nombre}"
                                  styleClass="outputTextStyle" rendered="#{banderaEdicionParam}" />
                    <p:message for="TipoDocumentoClaseV-1" display="icon"></p:message>
                </h:panelGrid>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>

                <h:panelGrid columns="3">
                    <h:selectOneMenu id="departamentoDocumento" label="Departamento"
                                     value="#{managedBeanParam.selectedDepartamentoDocumento}"
                                     required="true">
                        <f:selectItems value="#{managedBeanParam.departamentosDocumento}" />
                        <p:ajax
                            listener="#{managedBeanParam.onChangeDepartamentosDocumento}"
                            process="@this" update="municipioDocumento"></p:ajax>
                    </h:selectOneMenu>
                    <p:commandLink
                        update="btnOrdenDepartamentosDocumento, departamentoDocumento"
                        title="Orden"
                        action="#{managedBeanParam.cambiarOrdenDepartamentosDocumento}"
                        id="btnOrdenDepartamentosDocumento" ajax="true" immediate="true">
                        <p:graphicImage
                            rendered="#{managedBeanParam.ordenDepartamentosNombreDocumento}"
                            value="/images/sortCode.png" />
                        <p:graphicImage
                            rendered="#{managedBeanParam.ordenDepartamentosCodigoDocumento}"
                            value="/images/sortText.png" />
                    </p:commandLink>
                    <p:message for="departamentoDocumento" display="icon"></p:message>
                </h:panelGrid>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Municipio: " for="municipioDocumento"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>

                <h:panelGrid columns="3">
                    <h:selectOneMenu id="municipioDocumento" label="Municipio"
                                     value="#{managedBeanParam.selectedMunicipioDocumento}"
                                     required="true">
                        <f:selectItems value="#{managedBeanParam.municipiosDocumento}" />
                    </h:selectOneMenu>
                    <p:commandLink
                        update="btnOrdenMunicipiosDocumento, municipioDocumento"
                        title="Orden"
                        action="#{managedBeanParam.cambiarOrdenMunicipiosDocumento}"
                        id="btnOrdenMunicipiosDocumento" ajax="true" immediate="true">
                        <p:graphicImage
                            rendered="#{managedBeanParam.ordenMunicipiosNombreDocumento}"
                            value="/images/sortCode.png" />
                        <p:graphicImage
                            rendered="#{managedBeanParam.ordenMunicipiosCodigoDocumento}"
                            value="/images/sortText.png" />
                    </p:commandLink>
                    <p:message for="municipioDocumento" display="icon"></p:message>
                </h:panelGrid>
            </h:panelGrid>
            <p:separator />
            <h:panelGrid columns="4" columnClasses="colPequena, colPequena, colPequena, colPequena">

                <h:outputLabel value="Análogo:" for="analogo"
                               styleClass="outputLabelStyle" />
                <h:selectBooleanCheckbox id="analogo" disabled="#{(fn:length(managedBeanParam.rutaMostrar) gt 1) or selectedDocumentParam.digitalizable}"
                                         value="#{selectedDocumentParam.analogo}" label="Análogo">
                    <p:ajax update=":documentacionForm:folios,:documentacionForm:foliosLabelPanel,:documentacionForm:digitalizable"/>
                </h:selectBooleanCheckbox>

                <h:outputLabel value="Por digitalizar:" for="digitalizable"
                               styleClass="outputLabelStyle" id="digitalizableT"
                               rendered="#{!ocultarPorDigitalizarParam}" />
                <h:selectBooleanCheckbox id="digitalizable" disabled="#{(fn:length(managedBeanParam.rutaMostrar) gt 1) or selectedDocumentParam.analogo}"
                                         value="#{selectedDocumentParam.digitalizable}"
                                         label="Digitalizable" rendered="#{!ocultarPorDigitalizarParam}">
                    <p:ajax update=":documentacionForm:folios,:documentacionForm:foliosLabelPanel, :documentacionForm:analogo"/>
                </h:selectBooleanCheckbox>

                <h:panelGrid columns="2" id="foliosLabelPanel">
                    <h:outputLabel value="Cantidad de folios:" for="folios"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" id="requiredFoliosLabel"
                                   styleClass="requiredLabelStyle" 
                                   rendered="#{selectedDocumentParam.analogo or selectedDocumentParam.digitalizable or fn:length(managedBeanParam.rutaMostrar) gt 1}" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:inputText id="folios" 
                                 onkeydown="validarSiNumero(this, this.value);"
                                 onkeyup="validarSiNumero(this, this.value);"
                                 disabled="#{!(selectedDocumentParam.analogo or selectedDocumentParam.digitalizable or fn:length(managedBeanParam.rutaMostrar) gt 1)}"
                                 value="#{selectedDocumentParam.cantidadFolios}"
                                 required="#{selectedDocumentParam.analogo or selectedDocumentParam.digitalizable or fn:length(managedBeanParam.rutaMostrar) gt 1}"
                                 label="Cantidad de folios">
                        <f:validateLongRange minimum="1" />
                    </h:inputText>
                    <p:message for="folios" display="icon"></p:message>
                </h:panelGrid>
            </h:panelGrid>
            <h:panelGrid columns="2" columnClasses="colPequena, colGrande">

                <h:outputLabel value="Detalle:" for="detalle"
                               styleClass="outputLabelStyle" />
                <h:inputTextarea id="detalle"
                                 value="#{selectedDocumentParam.detalle}" cols="70" rows="3"
                                 onkeydown="limitText(this, 2000);" onkeyup="limitText(this, 2000);" />
                <p:spacer width="7" height="0" />
                <p:commandButton value="Aceptar"
                                 action="#{managedBeanParam.guardarDocumentacion}"
                                 update="msgs, #{listaAActualizar}" icon="ui-icon-check"
                                 process="@form" 
                                 oncomplete="handleCompleteSIC(xhr, status, args, documentacionWV, false);" />


            </h:panelGrid>
        </h:form>



    </h:panelGrid>

</h:panelGrid>
